Bug 1460603 - owncloud apache config has out of date well-known uri
owncloud apache config has out of date well-known uri
Status: NEW
Product: Fedora
Classification: Fedora
Component: owncloud (Show other bugs)
27
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 03:27 EDT by Scott Shambarger
Modified: 2018-03-10 17:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Shambarger 2017-06-12 03:27:43 EDT
Description of problem:
URI included in the apache owncloud.conf file does not reflect the current URI

Version-Release number of selected component (if applicable):
owncloud-httpd-9.1.5-1

How reproducible:
When running apache

Steps to Reproduce:
1. Start configured owncloud with apache
2. Request /.well-known/carddav or /.well-known/caldav

Actual results:
Returns /owncloud/remote.php/carddav or /owncloud/remote.php/caldav

Expected results:
Should return /owncloud/remote.php/dav for both

Additional info:

Documentation for the issue:

https://doc.owncloud.org/server/9.1/admin_manual/issues/general_troubleshooting.html#troubleshooting-contacts-calendar

Suggests the following:
Redirect 301 /.well-known/carddav /owncloud/remote.php/dav
Redirect 301 /.well-known/caldav /owncloud/remote.php/dav

Older versions used the URIs included in the current owncloud.conf

The owncloud-httpd.conf shipped with the RPM needs to be updated with the new URIs.
Comment 1 Fedora End Of Life 2017-11-16 13:49:20 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Scott Shambarger 2017-11-22 20:01:54 EST
Same issue in Fedora 27... updating release.

Note You need to log in before you can comment on or make changes to this bug.